<?php
    namespace Teknisa\CADPED\Controllers;
    
    use Teknisa\CADPED\Controllers\TeknisaCrud;
    use \Doctrine\ORM\EntityManager;
    use Zeedhi\Framework\DataSource\ParameterBag;
    use Zeedhi\Framework\DTO;
    use Zeedhi\Framework\DTO\Row;
    use Zeedhi\Framework\DataSource\DataSet;
    use Teknisa\CADPED\Services\GER96300LocalEntregaService;
    
    class GER96300LocalEntregaController extends TeknisaCrud {
        
        protected $parameterBagColumns = array();
        protected $environment;
        protected $crudService;
        protected $connection;
        
        public function __construct($crudService, ParameterBag $parameterBag, $environment, GER96300LocalEntregaService $serviceLocalEntrega){
            parent::__construct($crudService, $parameterBag);
            $this->crudService  = $crudService;
            $this->environment  = $environment;
            $this->serviceLocalEntrega  = $serviceLocalEntrega;
        }
        
        public function getMaxNrlocalentrcliente(DTO\Request $request, DTO\Response $response){
            $max = $this->serviceLocalEntrega->getMaxNrlocalentrcliente();
            
            $dataSet = new DataSet('NRLOCALENTRCLIENTE', $max[0]);
            $response->addDataSet($dataSet);
            
        }
        
    }    
?>